Qwt User's Guide: QwtCPointerData< T > Class Template Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtCPointerData< T > Class Template Reference

Data class containing two pointers to memory blocks of T. More...

`#include <qwt_point_data.h>`

Inheritance diagram for QwtCPointerData< T >:

## Public Member Functions
| QwtCPointerData (const T *x, const T *y, size_t size)
virtual size_t | size () const override
virtual QPointF | sample (size_t index) const override
const T * | xData () const
const T * | yData () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
QPointF | firstSample () const
QPointF | lastSample () const
virtual QRectF | boundingRect () const
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | cachedBoundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

template<typename T>
class QwtCPointerData< T >

Data class containing two pointers to memory blocks of T.

Definition at line 43 of file qwt_point_data.h.

## Constructor & Destructor Documentation

## ◆ QwtCPointerData()

template<typename T >

QwtCPointerData< T >::QwtCPointerData | ( | const T * | x,
|  | const T * | y,
|  | size_t | size )

Constructor

Parameters

  x | Array of x values
  y | Array of y values
  size | Size of the x and y arrays

Warning
  The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object.

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setRawSamples()

Definition at line 326 of file qwt_point_data.h.

## Member Function Documentation

## ◆ sample()

template<typename T >

QPointF QwtCPointerData< T >::sample | ( | size_t | index | ) | const
| overridevirtual

Return the sample at position i

Parameters

  index | Index

Returns
  Sample at position i

Implements QwtSeriesData< QPointF >.

Definition at line 347 of file qwt_point_data.h.

## ◆ size()

template<typename T >

size_t QwtCPointerData< T >::size | ( |  | ) | const
| overridevirtual

Returns
  Size of the data set

Implements QwtSeriesData< QPointF >.

Definition at line 335 of file qwt_point_data.h.

## ◆ xData()

template<typename T >

const T * QwtCPointerData< T >::xData | ( |  | ) | const

Returns
  Array of the x-values

Definition at line 354 of file qwt_point_data.h.

## ◆ yData()

template<typename T >

const T * QwtCPointerData< T >::yData | ( |  | ) | const

Returns
  Array of the y-values

Definition at line 361 of file qwt_point_data.h.